### Virtual Method

# Gio SocketAddressEnumerator next_finish

#### Declaration [src]

    GSocketAddress*
    next_finish (
      GSocketAddressEnumerator* enumerator,
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Retrieves the result of a completed call to g_socket_address_enumerator_next_async(). See `g_socket_address_enumerator_next()` for more information about error handling.

#### Parameters

`result`

  Type: `GAsyncResult`

  A `GAsyncResult`.

  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the virtual function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GSocketAddress`

A `GSocketAddress` (owned by the caller), or `NULL` on error (in which case `*error` will be set) or if there are no more addresses.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.